liborigin 2.0.0

Public Member Functions | Private Attributes | List of all members
OriginFile Class Reference

`#include <OriginFile.h>`

## Public Member Functions
Origin::Function & | function (vector< Origin::Function >::size_type f) const
| get function f More...
vector< Origin::Function >::size_type | functionCount () const
| get number of functions More...
vector< Origin::Function >::size_type | functionIndex (const string &name) const
| get name of function s More...
Origin::Graph & | graph (vector< Origin::Graph >::size_type g) const
| get graph g More...
vector< Origin::Graph >::size_type | graphCount () const
| get number of graphs More...
Origin::Matrix & | matrix (vector< Origin::Matrix >::size_type m) const
| get matrix m More...
vector< Origin::Matrix >::size_type | matrixCount () const
| get number of matrices More...
Origin::Note & | note (vector< Origin::Note >::size_type n) const
| get note n More...
vector< Origin::Note >::size_type | noteCount () const
| get number of notes More...
| OriginFile (const string &fileName)
bool | parse ()
| parse Origin file More...
const tree< Origin::ProjectNode > * | project () const
| get project tree More...
string | resultsLogString () const
| get Results Log More...
Origin::SpreadSheet & | spread (vector< Origin::SpreadSheet >::size_type s) const
| get spreadsheet s More...
vector< Origin::SpreadSheet >::size_type | spreadCount () const
| get number of spreadsheets More...
double | version () const
| get version of Origin file More...

## Private Attributes
unsigned int | buildVersion
unsigned int | fileVersion
auto_ptr< OriginParser > | parser

## Constructor & Destructor Documentation

## ◆ OriginFile()

OriginFile::OriginFile | ( | const string & | fileName | ) |

References buildVersion, createOrigin600Parser(), createOrigin610Parser(), createOrigin700Parser(), createOrigin750Parser(), createOrigin800Parser(), createOrigin810Parser(), createOriginDefaultParser(), fileVersion, LOG_PRINT, and parser.

## Member Function Documentation

## ◆ function()

Origin::Function & OriginFile::function | ( | vector< Origin::Function >::size_type | f | ) | const

get function f

References parser.

## ◆ functionCount()

vector< Origin::Function >::size_type OriginFile::functionCount | ( |  | ) | const

get number of functions

References parser.

Referenced by main().

## ◆ functionIndex()

vector< Origin::Function >::size_type OriginFile::functionIndex | ( | const string & | name | ) | const

get name of function s

References parser.

## ◆ graph()

Origin::Graph & OriginFile::graph | ( | vector< Origin::Graph >::size_type | g | ) | const

get graph g

References parser.

## ◆ graphCount()

vector< Origin::Graph >::size_type OriginFile::graphCount | ( |  | ) | const

get number of graphs

References parser.

Referenced by main().

## ◆ matrix()

Origin::Matrix & OriginFile::matrix | ( | vector< Origin::Matrix >::size_type | m | ) | const

get matrix m

References parser.

## ◆ matrixCount()

vector< Origin::Matrix >::size_type OriginFile::matrixCount | ( |  | ) | const

get number of matrices

References parser.

Referenced by main().

## ◆ note()

Origin::Note & OriginFile::note | ( | vector< Origin::Note >::size_type | n | ) | const

get note n

References parser.

## ◆ noteCount()

vector< Origin::Note >::size_type OriginFile::noteCount | ( |  | ) | const

get number of notes

References parser.

Referenced by main().

## ◆ parse()

bool OriginFile::parse | ( |  | ) |

parse Origin file

References buildVersion, and parser.

Referenced by main().

## ◆ project()

const tree< Origin::ProjectNode > * OriginFile::project | ( |  | ) | const

get project tree

References parser.

## ◆ resultsLogString()

string OriginFile::resultsLogString | ( |  | ) | const

get Results Log

References parser.

## ◆ spread()

Origin::SpreadSheet & OriginFile::spread | ( | vector< Origin::SpreadSheet >::size_type | s | ) | const

get spreadsheet s

References parser.

Referenced by main().

## ◆ spreadCount()

vector< Origin::SpreadSheet >::size_type OriginFile::spreadCount | ( |  | ) | const

get number of spreadsheets

References parser.

Referenced by main().

## ◆ version()

double OriginFile::version | ( |  | ) | const

get version of Origin file

References fileVersion.

Referenced by main().

## Member Data Documentation

## ◆ buildVersion

unsigned int OriginFile::buildVersion
| private

Referenced by OriginFile(), and parse().

## ◆ fileVersion

unsigned int OriginFile::fileVersion
| private

Referenced by OriginFile(), and version().

## ◆ parser

auto_ptr<OriginParser> OriginFile::parser
| private

Referenced by function(), functionCount(), functionIndex(), graph(), graphCount(), matrix(), matrixCount(), note(), noteCount(), OriginFile(), parse(), project(), resultsLogString(), spread(), and spreadCount().

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginFile.h
- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginFile.cpp